Problem installing plugins

2011-08-05 02:50 PM - Daniel Fruzynski

Status: Closed

Priority: High

Assignee:

Category: Python plugins

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 14121

Description

QGIS 1.7 has problem loading user plugins. I suspect this is caused by fact that user's profile directory contains non-ascii chars in path -

in this case "C:\\Users\\Buława\\". Error message is below.

Cannot load plugin 'numericalDigitize' z ['C:/PROGRA~1/QUANTU~1/apps/qgis/./python',

'C:/Users/Bu&#197;&#130;awa/.qgis/python', 'C:/Users/Bu&#197;&#130;awa/.qgis/python/plugins',

'C:/PROGRA~1/QUANTU~1/apps/qgis/./python/plugins', 'C:\\PROGRA~1\\QUANTU~1\\bin\\python25.zip',

'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\DLLs', 'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib',

'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib\\plat-win', 'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib\\lib-tk',

'C:\\PROGRA~1\\QUANTU~1\\apps\\qgis\\bin', 'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25',

'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib\\site-packages',

'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib\\site-packages\\win32',

'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib\\site-packages\\win32\\lib',

'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib\\site-packages\\Pythonwin',

'C:\\PROGRA~1\\QUANTU~1\\apps\\Python25\\lib\\site-packages\\wx-2.8-msw-unicode',

'C:\\PROGRA~1\\QUANTU~1\\apps\\qgis\\python\\plugins\\fTools\\tools']

Traceback (most recent call last):

  File "C:/PROGRA~1/QUANTU~1/apps/qgis/./python\\qgis\\utils.py", line 117, in loadPlugin

    __import__(packageName)

  File "C:/PROGRA~1/QUANTU~1/apps/qgis/./python\\qgis\\utils.py", line 283, in _import

    mod = _builtin_import(name, globals, locals, fromlist, level)

ImportError: No module named numericalDigitize

Python version:

2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

QGIS version:

1.7.0-Wroclaw Wroclaw, 63ecdd7

Python location: ['C:/PROGRA~1/QUANTU~1/apps/qgis/./python', 'C:/Users/Bu\\xc5\\x82awa/.qgis/python',

'C:/Users/Bu\\xc5\\x82awa/.qgis/python/plugins', 'C:/PROGRA~1/QUANTU~1/apps/qgis/./python/plugins',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\bin\\\\python25.zip', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\DLLs',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\plat-win',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\lib-tk', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\qgis\\\\bin',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25', 'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\win32\\\\lib',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\Pythonwin',

'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\Python25\\\\lib\\\\site-packages\\\\wx-2.8-msw-unicode',
'C:\\\\PROGRA~1\\\\QUANTU~1\\\\apps\\\\qgis\\\\python\\\\plugins\\\\fTools\\\\tools']

Related issues:

Related to QGIS Application - Bug report # 4303: Plugin installer: error if h... Closed 2011-09-23

History

#1 - 2011-10-07 12:19 PM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Open to Closed

duplicate of #4303

#2 - 2013-04-02 07:50 AM - Jürgen Fischer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master
